.cart-page {
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.cart-page .cart-products-list {
  list-style: none;
  padding: 0;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  justify-items: center
}

.cart-page .cart-product-item {
  display: flex;
  align-items: center;
  padding: 10px 0;
  border-bottom: 1px solid #ddd;
  border-radius: 8px;
  margin-bottom: 10px;
}

.cart-page .cart-product-item img {
  object-fit: cover;
  border-radius: 8px;
}

.cart-page .cart-product-item .product-card-details {
  flex: 1;
}

.cart-page .cart-product-item .product-card-details h3 {
  margin: 0;
  font-size: 18px;
}

.cart-page .cart-product-item .product-card-details p {
  margin: 5px 0;
  font-size: 16px;
}

.cart-page .cart-product-controls {
  display: flex;
  align-items: center;
  gap: 10px;
}

.cart-page .cart-product-controls .control-button {
  background-color: #ddd;
  border: none;
  border-radius: 4px;
  padding: 5px 10px;
  cursor: pointer;
  font-size: 16px;
}

.cart-page .cart-product-controls .product-quantity {
  font-size: 16px;
  font-weight: bold;
}

.cart-page .cart-product-controls .control-button:hover {
  background-color: #ccc;
}

.cart-page .cart-total {
  margin-top: 20px;
  padding: 10px;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.cart-page .cart-total h3 {
  margin: 0;
  font-size: 20px;
}

.cart-page .checkout-button {
  margin-top: 20px;
  padding: 10px 20px;
  background-color: #007bff;
  color: #fff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 16px;
  transition: background-color 0.3s ease;
}

.cart-page .checkout-button:hover {
  background-color: #0056b3;
}

.cart-page .empty-cart-message {
  text-align: center;
  font-size: 18px;
  color: #888;
  margin-top: 20px;
}
